IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
ff9d:ec00::/24- First address
ff9d:ec00::- Last address
ff9d:ecff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
ff9d:ec00:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
c.e.d.9.f.f.ip6.arpa
Split into smaller subnets
ff9d:ec00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff9d:ec00::/32 | ff9d:ec00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff9d:ec01::/32 | ff9d:ec01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff9d:ec02::/32 | ff9d:ec02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff9d:ec03::/32 | ff9d:ec03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff9d:ec04::/32 | ff9d:ec04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff9d:ec05::/32 | ff9d:ec05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff9d:ec06::/32 | ff9d:ec06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff9d:ec07::/32 | ff9d:ec07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff9d:ec08::/32 | ff9d:ec08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff9d:ec09::/32 | ff9d:ec09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff9d:ec0a::/32 | ff9d:ec0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff9d:ec0b::/32 | ff9d:ec0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff9d:ec0c::/32 | ff9d:ec0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff9d:ec0d::/32 | ff9d:ec0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff9d:ec0e::/32 | ff9d:ec0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff9d:ec0f::/32 | ff9d:ec0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff9d:ec10::/32 | ff9d:ec10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff9d:ec11::/32 | ff9d:ec11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff9d:ec12::/32 | ff9d:ec12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff9d:ec13::/32 | ff9d:ec13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff9d:ec14::/32 | ff9d:ec14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff9d:ec15::/32 | ff9d:ec15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff9d:ec16::/32 | ff9d:ec16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff9d:ec17::/32 | ff9d:ec17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff9d:ec18::/32 | ff9d:ec18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff9d:ec19::/32 | ff9d:ec19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff9d:ec1a::/32 | ff9d:ec1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff9d:ec1b::/32 | ff9d:ec1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff9d:ec1c::/32 | ff9d:ec1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff9d:ec1d::/32 | ff9d:ec1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff9d:ec1e::/32 | ff9d:ec1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff9d:ec1f::/32 | ff9d:ec1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff9d:ec20::/32 | ff9d:ec20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff9d:ec21::/32 | ff9d:ec21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff9d:ec22::/32 | ff9d:ec22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff9d:ec23::/32 | ff9d:ec23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff9d:ec24::/32 | ff9d:ec24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff9d:ec25::/32 | ff9d:ec25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff9d:ec26::/32 | ff9d:ec26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff9d:ec27::/32 | ff9d:ec27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff9d:ec28::/32 | ff9d:ec28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff9d:ec29::/32 | ff9d:ec29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff9d:ec2a::/32 | ff9d:ec2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff9d:ec2b::/32 | ff9d:ec2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff9d:ec2c::/32 | ff9d:ec2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff9d:ec2d::/32 | ff9d:ec2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff9d:ec2e::/32 | ff9d:ec2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff9d:ec2f::/32 | ff9d:ec2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff9d:ec30::/32 | ff9d:ec30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff9d:ec31::/32 | ff9d:ec31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff9d:ec32::/32 | ff9d:ec32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff9d:ec33::/32 | ff9d:ec33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff9d:ec34::/32 | ff9d:ec34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff9d:ec35::/32 | ff9d:ec35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff9d:ec36::/32 | ff9d:ec36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff9d:ec37::/32 | ff9d:ec37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff9d:ec38::/32 | ff9d:ec38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff9d:ec39::/32 | ff9d:ec39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff9d:ec3a::/32 | ff9d:ec3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff9d:ec3b::/32 | ff9d:ec3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff9d:ec3c::/32 | ff9d:ec3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff9d:ec3d::/32 | ff9d:ec3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff9d:ec3e::/32 | ff9d:ec3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff9d:ec3f::/32 | ff9d:ec3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff9d:ec40::/32 | ff9d:ec40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff9d:ec41::/32 | ff9d:ec41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff9d:ec42::/32 | ff9d:ec42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff9d:ec43::/32 | ff9d:ec43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff9d:ec44::/32 | ff9d:ec44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff9d:ec45::/32 | ff9d:ec45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff9d:ec46::/32 | ff9d:ec46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff9d:ec47::/32 | ff9d:ec47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff9d:ec48::/32 | ff9d:ec48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff9d:ec49::/32 | ff9d:ec49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff9d:ec4a::/32 | ff9d:ec4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff9d:ec4b::/32 | ff9d:ec4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff9d:ec4c::/32 | ff9d:ec4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff9d:ec4d::/32 | ff9d:ec4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff9d:ec4e::/32 | ff9d:ec4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff9d:ec4f::/32 | ff9d:ec4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff9d:ec50::/32 | ff9d:ec50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff9d:ec51::/32 | ff9d:ec51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff9d:ec52::/32 | ff9d:ec52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff9d:ec53::/32 | ff9d:ec53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff9d:ec54::/32 | ff9d:ec54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff9d:ec55::/32 | ff9d:ec55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff9d:ec56::/32 | ff9d:ec56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff9d:ec57::/32 | ff9d:ec57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff9d:ec58::/32 | ff9d:ec58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff9d:ec59::/32 | ff9d:ec59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff9d:ec5a::/32 | ff9d:ec5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff9d:ec5b::/32 | ff9d:ec5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff9d:ec5c::/32 | ff9d:ec5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff9d:ec5d::/32 | ff9d:ec5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff9d:ec5e::/32 | ff9d:ec5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff9d:ec5f::/32 | ff9d:ec5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff9d:ec60::/32 | ff9d:ec60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff9d:ec61::/32 | ff9d:ec61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff9d:ec62::/32 | ff9d:ec62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff9d:ec63::/32 | ff9d:ec63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff9d:ec64::/32 | ff9d:ec64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff9d:ec65::/32 | ff9d:ec65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff9d:ec66::/32 | ff9d:ec66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff9d:ec67::/32 | ff9d:ec67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff9d:ec68::/32 | ff9d:ec68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff9d:ec69::/32 | ff9d:ec69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff9d:ec6a::/32 | ff9d:ec6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff9d:ec6b::/32 | ff9d:ec6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff9d:ec6c::/32 | ff9d:ec6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff9d:ec6d::/32 | ff9d:ec6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff9d:ec6e::/32 | ff9d:ec6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff9d:ec6f::/32 | ff9d:ec6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff9d:ec70::/32 | ff9d:ec70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff9d:ec71::/32 | ff9d:ec71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff9d:ec72::/32 | ff9d:ec72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff9d:ec73::/32 | ff9d:ec73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff9d:ec74::/32 | ff9d:ec74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff9d:ec75::/32 | ff9d:ec75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff9d:ec76::/32 | ff9d:ec76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff9d:ec77::/32 | ff9d:ec77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff9d:ec78::/32 | ff9d:ec78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff9d:ec79::/32 | ff9d:ec79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff9d:ec7a::/32 | ff9d:ec7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff9d:ec7b::/32 | ff9d:ec7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff9d:ec7c::/32 | ff9d:ec7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff9d:ec7d::/32 | ff9d:ec7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff9d:ec7e::/32 | ff9d:ec7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff9d:ec7f::/32 | ff9d:ec7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff9d:ec80::/32 | ff9d:ec80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff9d:ec81::/32 | ff9d:ec81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff9d:ec82::/32 | ff9d:ec82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff9d:ec83::/32 | ff9d:ec83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff9d:ec84::/32 | ff9d:ec84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff9d:ec85::/32 | ff9d:ec85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff9d:ec86::/32 | ff9d:ec86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff9d:ec87::/32 | ff9d:ec87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff9d:ec88::/32 | ff9d:ec88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff9d:ec89::/32 | ff9d:ec89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff9d:ec8a::/32 | ff9d:ec8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff9d:ec8b::/32 | ff9d:ec8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff9d:ec8c::/32 | ff9d:ec8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff9d:ec8d::/32 | ff9d:ec8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff9d:ec8e::/32 | ff9d:ec8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff9d:ec8f::/32 | ff9d:ec8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff9d:ec90::/32 | ff9d:ec90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff9d:ec91::/32 | ff9d:ec91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff9d:ec92::/32 | ff9d:ec92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff9d:ec93::/32 | ff9d:ec93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff9d:ec94::/32 | ff9d:ec94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff9d:ec95::/32 | ff9d:ec95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff9d:ec96::/32 | ff9d:ec96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff9d:ec97::/32 | ff9d:ec97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff9d:ec98::/32 | ff9d:ec98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff9d:ec99::/32 | ff9d:ec99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff9d:ec9a::/32 | ff9d:ec9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff9d:ec9b::/32 | ff9d:ec9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff9d:ec9c::/32 | ff9d:ec9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff9d:ec9d::/32 | ff9d:ec9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff9d:ec9e::/32 | ff9d:ec9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff9d:ec9f::/32 | ff9d:ec9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff9d:eca0::/32 | ff9d:eca0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff9d:eca1::/32 | ff9d:eca1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff9d:eca2::/32 | ff9d:eca2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff9d:eca3::/32 | ff9d:eca3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff9d:eca4::/32 | ff9d:eca4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff9d:eca5::/32 | ff9d:eca5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff9d:eca6::/32 | ff9d:eca6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff9d:eca7::/32 | ff9d:eca7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff9d:eca8::/32 | ff9d:eca8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff9d:eca9::/32 | ff9d:eca9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff9d:ecaa::/32 | ff9d:ecaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff9d:ecab::/32 | ff9d:ecab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff9d:ecac::/32 | ff9d:ecac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff9d:ecad::/32 | ff9d:ecad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff9d:ecae::/32 | ff9d:ecae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff9d:ecaf::/32 | ff9d:ecaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff9d:ecb0::/32 | ff9d:ecb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff9d:ecb1::/32 | ff9d:ecb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff9d:ecb2::/32 | ff9d:ecb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff9d:ecb3::/32 | ff9d:ecb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff9d:ecb4::/32 | ff9d:ecb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff9d:ecb5::/32 | ff9d:ecb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff9d:ecb6::/32 | ff9d:ecb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff9d:ecb7::/32 | ff9d:ecb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff9d:ecb8::/32 | ff9d:ecb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff9d:ecb9::/32 | ff9d:ecb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff9d:ecba::/32 | ff9d:ecba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff9d:ecbb::/32 | ff9d:ecbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff9d:ecbc::/32 | ff9d:ecbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff9d:ecbd::/32 | ff9d:ecbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff9d:ecbe::/32 | ff9d:ecbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff9d:ecbf::/32 | ff9d:ecbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff9d:ecc0::/32 | ff9d:ecc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff9d:ecc1::/32 | ff9d:ecc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff9d:ecc2::/32 | ff9d:ecc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff9d:ecc3::/32 | ff9d:ecc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff9d:ecc4::/32 | ff9d:ecc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff9d:ecc5::/32 | ff9d:ecc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff9d:ecc6::/32 | ff9d:ecc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff9d:ecc7::/32 | ff9d:ecc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff9d:ecc8::/32 | ff9d:ecc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff9d:ecc9::/32 | ff9d:ecc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff9d:ecca::/32 | ff9d:ecca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff9d:eccb::/32 | ff9d:eccb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff9d:eccc::/32 | ff9d:eccc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff9d:eccd::/32 | ff9d:eccd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff9d:ecce::/32 | ff9d:ecce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff9d:eccf::/32 | ff9d:eccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff9d:ecd0::/32 | ff9d:ecd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff9d:ecd1::/32 | ff9d:ecd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff9d:ecd2::/32 | ff9d:ecd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff9d:ecd3::/32 | ff9d:ecd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff9d:ecd4::/32 | ff9d:ecd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff9d:ecd5::/32 | ff9d:ecd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff9d:ecd6::/32 | ff9d:ecd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff9d:ecd7::/32 | ff9d:ecd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff9d:ecd8::/32 | ff9d:ecd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff9d:ecd9::/32 | ff9d:ecd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff9d:ecda::/32 | ff9d:ecda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff9d:ecdb::/32 | ff9d:ecdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff9d:ecdc::/32 | ff9d:ecdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff9d:ecdd::/32 | ff9d:ecdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff9d:ecde::/32 | ff9d:ecde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff9d:ecdf::/32 | ff9d:ecdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff9d:ece0::/32 | ff9d:ece0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff9d:ece1::/32 | ff9d:ece1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff9d:ece2::/32 | ff9d:ece2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff9d:ece3::/32 | ff9d:ece3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff9d:ece4::/32 | ff9d:ece4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff9d:ece5::/32 | ff9d:ece5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff9d:ece6::/32 | ff9d:ece6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff9d:ece7::/32 | ff9d:ece7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff9d:ece8::/32 | ff9d:ece8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff9d:ece9::/32 | ff9d:ece9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff9d:ecea::/32 | ff9d:ecea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff9d:eceb::/32 | ff9d:eceb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff9d:ecec::/32 | ff9d:ecec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff9d:eced::/32 | ff9d:eced:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff9d:ecee::/32 | ff9d:ecee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff9d:ecef::/32 | ff9d:ecef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff9d:ecf0::/32 | ff9d:ecf0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff9d:ecf1::/32 | ff9d:ecf1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff9d:ecf2::/32 | ff9d:ecf2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff9d:ecf3::/32 | ff9d:ecf3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff9d:ecf4::/32 | ff9d:ecf4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff9d:ecf5::/32 | ff9d:ecf5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff9d:ecf6::/32 | ff9d:ecf6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff9d:ecf7::/32 | ff9d:ecf7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff9d:ecf8::/32 | ff9d:ecf8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff9d:ecf9::/32 | ff9d:ecf9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff9d:ecfa::/32 | ff9d:ecfa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff9d:ecfb::/32 | ff9d:ecfb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff9d:ecfc::/32 | ff9d:ecfc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff9d:ecfd::/32 | ff9d:ecfd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff9d:ecfe::/32 | ff9d:ecfe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff9d:ecff::/32 | ff9d:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |